Loading...
Searching...
No Matches
XrdTlsContext.cc File Reference
`#include <cstdio>`
`#include <openssl/bio.h>`
`#include <openssl/crypto.h>`
`#include <openssl/err.h>`
`#include <openssl/ssl.h>`
`#include <openssl/opensslv.h>`
`#include <sys/stat.h>`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdSys/XrdSysRAtomic.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
`#include "XrdSys/XrdSysTimer.hh"`
`#include "XrdTls/XrdTls.hh"`
`#include "XrdTls/XrdTlsContext.hh"`
`#include "XrdTls/XrdTlsTrace.hh"`
Include dependency graph for XrdTlsContext.cc:

Go to the source code of this file.

## Classes

struct | XrdTlsContextImpl

## Namespaces

namespace | XrdTlsCrl
namespace | XrdTlsFlush
namespace | XrdTlsGlobal

## Macros

#define | FATAL(msg)
#define | FATAL_SSL(msg)
#define | KILL_CTX(x)

## Functions

void * | XrdTlsFlush::Flusher (void *parg)
void * | XrdTlsCrl::Refresh (void *parg)
bool | XrdTlsFlush::Setup_Flusher (XrdTlsContextImpl *pImpl, int flushT)

## Macro Definition Documentation

## FATAL

#define FATAL | ( |  | msg | ) |

Value:
{Fatal(eMsg, msg); KILL_CTX(pImpl->ctx); return;}
Fatal
void Fatal(const char *op, const char *target)
Definition XrdCrc32c.cc:58
eMsg
#define eMsg(x)
Definition XrdSecsssAdmin.cc:53
KILL_CTX
#define KILL_CTX(x)
Definition XrdTlsContext.cc:574

Definition at line 576 of file XrdTlsContext.cc.

Referenced by XrdTlsContext::XrdTlsContext(), and XrdVomsFun::VOMSInit().

## FATAL_SSL

#define FATAL_SSL | ( |  | msg | ) |

Value:
{Fatal(eMsg, msg, true); KILL_CTX(pImpl->ctx); return;}

Definition at line 578 of file XrdTlsContext.cc.

Referenced by XrdTlsContext::XrdTlsContext().

## KILL_CTX

#define KILL_CTX | ( |  | x | ) |

Value:
if (x) {SSL_CTX_free(x); x = 0;}

Definition at line 574 of file XrdTlsContext.cc.